<?php

/**
 * @file
 * API documentation for floodcontrol_settings_api.
 */

/**
 * Provide expansion arguments for dynamic menu items.
 *
 * @see admin_menu.map.inc
 */
function hook_floodcontrol_settings($form) {

  $form['mycustomform'] = array(
    '#type' => 'fieldset',
    '#title' => t('Settings for mycustomform'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['mycustomform']['floodcontrol_mycustomform_threshold'] = array(
    '#type' => 'textfield',
    '#title' => t('Threshold (The maximum number of times each user can do this event per time window)'),
    '#default_value' => variable_get('floodcontrol_mycustomform_threshold', 100),
    '#size' => 10,
  );
  $form['mycustomform']['floodcontrol_mycustomform_window'] = array(
    '#type' => 'textfield',
    '#title' => t('Window (Number of seconds in the time window for this event (default is 3600 seconds, or 1 hour))'),
    '#default_value' => variable_get('floodcontrol_mycustomform_window', 3600),
    '#size' => 10,
  );

  return $form;
}
